

function uniqueArray2( ar ) {
              var j = {};
            
              ar.forEach( function(v) {
                j[v+ '::' + typeof v] = v;
              });
            
              return Object.keys(j).map(function(v){
                if(typeof j[v]!='undefined') return j[v];
              });
} 


